trigger:
  - main

pool:
  vmImage: 'ubuntu-latest'

steps:
  - script: yarn install
    displayName: 🛠️ Install Dependencies
  - script: yarn build
    displayName: 🚀 Build Plugin
  - task: PublishPipelineArtifact@1
    displayName: 📦 Create Artifact
    inputs:
      targetPath: $(System.DefaultWorkingDirectory)
      artifactName: CognitoFormsPlugin
